Passa al contenuto principale

ServerSnapshotResponse

Successful response with one ServerSnapshot

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data objectrequired

Snapshot of a virtual server

snapshot_idintegerrequired
server_idintegerrequired

Id of the server (GET /api/v3/servers/{server_id})

snapshot_namestring | nullnullablerequired
snapshot_referencestring | nullnullablerequired

Id of the snapshot on the virtualization platform; null until the snapshot is created

activebooleanrequired

Whether the snapshot is active: false once it is deleted or expired. The list returns only active snapshots

date_expirydate-timenullablerequired

Date after which the snapshot is deleted automatically; null if it does not expire

date_createddate-timenullablerequired
metarequired

Always null: only the paginated lists have a meta

Constant value: null
ServerSnapshotResponse
{
"error": 0,
"message": "string",
"data": {
"snapshot_id": 0,
"server_id": 0,
"snapshot_name": "string",
"snapshot_reference": "string",
"active": true,
"date_expiry": "2024-07-29T15:51:28.071Z",
"date_created": "2024-07-29T15:51:28.071Z"
}
}